Subject: Re: bug#18958: 25.0.50; auto-revert-mode reacts slowly even if using an event-driven backend

From: Michael Albinus <[email-masked]>
Date: Sat, 21 Feb 2015 10:57:13 +0100

Dima Kogan <[email-masked]> writes:

Hi Dima,

> I still need to double-check the gfile stuff, and I'll do that when I
> get your ok on this. The gfile also has a delay in glib itself, so this
> wouldn't be as nice as inotify until glib is patched.

Thanks for this. I've committed your patch to the repo. Honestly, I
don't remember why I have suppressed auto-revert-use-notify when
initiating the auto-revert modes, maybe I was simply overcautious. If
there are problems with this change, we will hear soon :-)

Per default, I have enabled gfilenotify as notification library; it
works also w/o problems. Of course, I cannot speak for w32notify, maybe
somebody can run a short test.

Best regards, Michael.